Partial Class Profile_Default
    Inherits MyPageBase

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Page.IsPostBack Then Return

        ' Nast seznam tmat (adres)
        Dim Themes As String()
        Themes = System.IO.Directory.GetDirectories(Server.MapPath("~/App_Themes/"))

        ' Zobrazit seznam skin 
        For Each FolderName As String In Themes
            Dim LI As New ListItem()
            Dim ThemeName As String = FolderName.Remove(0, FolderName.LastIndexOf("\") + 1)
            LI.Text = ThemeName
            LI.Value = ThemeName
            LI.Selected = ThemeName.Equals(Profile.Skin, StringComparison.CurrentCultureIgnoreCase)
            Me.DropDownListSkin.Items.Add(LI)
        Next
    End Sub

    Protected Sub ButtonSubmit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ButtonSubmit.Click
        Profile.Skin = Me.DropDownListSkin.SelectedValue
        Profile.Save()
        Response.Redirect("~/Default.aspx")
    End Sub

End Class
